package com.sun.jmx.remote.util;

import java.util.logging.Level;
import java.util.logging.Logger;

public class ClassLogger
{
    private static final boolean ok;
    private final String className;
    private final Logger logger;
    
    public ClassLogger(String name, String className) {
        if (ClassLogger.ok) {
            this.logger = Logger.getLogger(name);
        }
        else {
            this.logger = null;
        }
        this.className = className;
    }
    
    public final boolean traceOn() {
        return this.finerOn();
    }
    
    public final boolean debugOn() {
        return this.finestOn();
    }
    
    public final boolean warningOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.WARNING);
    }
    
    public final boolean infoOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.INFO);
    }
    
    public final boolean configOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.CONFIG);
    }
    
    public final boolean fineOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.FINE);
    }
    
    public final boolean finerOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.FINER);
    }
    
    public final boolean finestOn() {
        return ClassLogger.ok && this.logger.isLoggable(Level.FINEST);
    }
    
    public final void debug(String s, String s2) {
        this.finest(s, s2);
    }
    
    public final void debug(String s, Throwable t) {
        this.finest(s, t);
    }
    
    public final void debug(String s, String s2, Throwable t) {
        this.finest(s, s2, t);
    }
    
    public final void trace(String s, String s2) {
        this.finer(s, s2);
    }
    
    public final void trace(String s, Throwable t) {
        this.finer(s, t);
    }
    
    public final void trace(String s, String s2, Throwable t) {
        this.finer(s, s2, t);
    }
    
    public final void error(String s, String s2) {
        this.severe(s, s2);
    }
    
    public final void error(String s, Throwable t) {
        this.severe(s, t);
    }
    
    public final void error(String s, String s2, Throwable t) {
        this.severe(s, s2, t);
    }
    
    public final void finest(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINEST, this.className, sourceMethod, msg);
        }
    }
    
    public final void finest(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINEST, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void finest(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINEST, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void finer(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINER, this.className, sourceMethod, msg);
        }
    }
    
    public final void finer(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINER, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void finer(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINER, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void fine(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINE, this.className, sourceMethod, msg);
        }
    }
    
    public final void fine(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINE, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void fine(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.FINE, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void config(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.CONFIG, this.className, sourceMethod, msg);
        }
    }
    
    public final void config(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.CONFIG, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void config(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.CONFIG, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void info(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.INFO, this.className, sourceMethod, msg);
        }
    }
    
    public final void info(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.INFO, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void info(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.INFO, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void warning(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.WARNING, this.className, sourceMethod, msg);
        }
    }
    
    public final void warning(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.WARNING, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void warning(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.WARNING, this.className, sourceMethod, msg, thrown);
        }
    }
    
    public final void severe(String sourceMethod, String msg) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.SEVERE, this.className, sourceMethod, msg);
        }
    }
    
    public final void severe(String sourceMethod, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.SEVERE, this.className, sourceMethod, thrown.toString(), thrown);
        }
    }
    
    public final void severe(String sourceMethod, String msg, Throwable thrown) {
        if (ClassLogger.ok) {
            this.logger.logp(Level.SEVERE, this.className, sourceMethod, msg, thrown);
        }
    }
    
    static {
        boolean ok2 = false;
        try {
            ok2 = true;
        }
        catch (Error error) {}
        ok = ok2;
    }
}
